html {
  height: 100%;
  scroll-behavior: smooth;
}

body {
  font-family: "Rubik", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  color: #fff;
  margin: 0;
  background: url(../image/background.jpg) no-repeat;
  background-color: #181e2b;
  background-size: cover;
  display: flex;
  flex-direction: column;
  min-height: 100%;
  text-align: center;
}

a {
  color: #fff;
  text-decoration: none;
}

#mobile-menu {
  display: none;
  position: fixed;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  background: linear-gradient(
    332.25deg,
    rgba(36, 138, 64, 1) -95.12%,
    rgba(15, 17, 24, 1) 93.14%
  );
  z-index: 900;
  opacity: 0;
  will-change: opacity;
  transition: opacity 0.3s 0.2s ease;
}

#mobile-menu.open {
  transition: opacity 0.3s ease;
  opacity: 1;
}

#mobile-menu .close-btn {
  position: absolute;
  top: 0px;
  right: 0px;
  width: 70px;
  height: 55px;
  background: url(../image/close.svg) center center no-repeat;
  background-size: 44px auto;
  cursor: pointer;
  opacity: 0;
  transition: opacity 0.4s 0.5s ease;
}

#mobile-menu.open .close-btn {
  opacity: 1;
}

header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  transition: all 0.5s ease;
  z-index: 100;
  background-color: transparent;
}

header .mobile-menu {
  display: none;
  width: 30px;
  height: 30px;
  cursor: pointer;
}

header .mobile-menu span {
  display: block;
  margin: 6px 0;
  width: 100%;
  height: 4px;
  border-radius: 20px;
  background-color: #ffffff;
  transition: background-color 0.2s ease;
}

header.fixed {
  background: linear-gradient(
    332.25deg,
    rgb(36 138 64 / 80%) -95.12%,
    rgb(15 17 24) 93.14%
  );
  box-shadow: 0 0 15px RGBA(0, 0, 0, 0.3);
  transform: translate(0, -5px);
}

.logo {
  font-family: ErasBold;
  font-size: 30px;
  user-select: none;
}

footer .logo {
  margin-top: -4px;
  line-height: 1;
}

.heading-2 {
  font-size: 48px;
  max-width: 860px;
  width: 100%;
}

.heading-3 {
  font-size: 55px;
  animation-duration: 2s;
  margin: 0 0 30px 0;
}

.heading-4 {
  font-size: 20px;
}

.title-feedback {
  margin: 0 0 20px 0;
}

.main-container {
  overflow: hidden;
}

/*Header*/

.navigation {
  display: flex;
  margin: 0 auto;
  padding: 0 40px;
  align-items: center;
  font-size: 20px;
  height: 80px;
  justify-content: space-between;
  max-width: 1600px;
  transition: all 0.5s ease;
}

header.fixed .navigation {
  height: 70px;
  transition: all 0.5s ease;
}

.navigation-block {
  display: flex;
  align-items: center;
}

.navigation-list {
  display: flex;
  list-style-type: none;
}

.navigation-item {
  border-right: 1px solid #fff;
}

.navigation-item:last-child {
  border: none;
}

.navigation-link {
  padding: 24px 19px;
  line-height: 22px;
  text-align: center;
  transition: color 0.25s ease;
}

.navigation-link:hover {
  color: rgb(255 255 255 / 80%);
  transition: color 0.25s ease;
}

.aktive {
  color: hsl(126.07deg 100% 50% / 83%);
  font-weight: 600;
}

.languages {
  padding: 24px 19px;
}

.wrapper {
  max-width: 1260px;
  position: relative;
  margin: 0px auto;
  width: 100%;
}
section {
  padding: 0 20px;
}
section .wrapper {
  padding: 100px 0;
}

/*Banner*/

#banner-background {
  background: url(../image/content-image.png) no-repeat;
  background-size: auto;
  box-shadow: inset 0px 4px 60px rgba(0, 0, 0, 0.99);
  height: 100%;
  text-align: left;
}

.banner {
  padding: 200px 0 220px;
}

.banner-wrap {
  padding: 0px 20px;
}

.banner-text-wrap {
  max-width: 830px;
  background: linear-gradient(
    98deg,
    rgba(45, 42, 58, 0.19) 4.75%,
    rgba(14, 16, 22, 0.06) 173.62%
  );
  border: 1px solid RGBA(255, 255, 255, 0.3);
  backdrop-filter: blur(20px);
  border-radius: 40px;
  display: flex;
  flex-direction: column;
  padding: 30px;
  animation-duration: 2s;
}

.banner-text {
  font-size: 20px;
  line-height: 30px;
  padding: 0;
}

#about .banner-text-wrap {
  margin: auto;
}

#about .banner-text {
  margin: 15px 0;
  padding: 0 30px 0 30px;
}

/*Buttons*/

.buttons {
  display: flex;
  padding: 50px 0 10px 0;
  justify-content: flex-start;
  cursor: pointer;
  gap: 35px;
}

.btn {
  letter-spacing: 0.04em;
  text-align: center;
  font-weight: 600;
  font-size: 24px;
  background: rgba(217, 217, 217, 0.5);
  box-shadow: inset 0px 4px 55px rgba(0, 0, 0, 0.25);
  border-radius: 30px;
  padding: 15px 30px;
  transition: background-color 0.25s ease;
  cursor: pointer;
}
.btn:hover {
  background-color: rgb(0 255 102 / 70%);
  transition: background-color 0.25s ease;
}

.btn-content {
  transition: background-color 0.25s ease;
  background: linear-gradient(
    90.04deg,
    rgba(15, 162, 56, 0.7) 0.04%,
    #121212 99.97%
  );
}
.btn-content:hover {
  background: linear-gradient(90.04deg, rgb(0 255 102) 0.04%, #121212 99.97%);
  transition: background-color 0.25s ease;
}

.btn-content2 {
  background: linear-gradient(
    90.04deg,
    #0e1016 0.04%,
    rgba(15, 162, 56, 0.7) 99.97%
  );
  transition: background-color 0.25s ease;
}
.btn-content2:hover {
  background: linear-gradient(90.04deg, #0e1016 0.04%, rgba(0 255 102) 99.97%);
  transition: background-color 0.25s ease;
}

.btn-content3 {
  background: linear-gradient(
    90deg,
    rgba(81, 255, 98, 0.7) 37.33%,
    rgba(255, 255, 255, 0) 179.19%
  );
  transition: background-color 0.25s ease;
}
.btn-content3:hover {
  background: linear-gradient(
    90deg,
    rgb(81 255 98) 37.33%,
    rgba(255, 255, 255, 0) 179.19%
  );
  transition: background-color 0.25s ease;
}

.btn-next {
  position: absolute;
  right: -25px;
  bottom: 430px;
  transition: all 0.5s ease 0s;
  width: 80px;
  height: 95px;
  display: flex;
  align-items: center;
  border-radius: 100px;
  padding-left: 20px;
  justify-content: center;
  z-index: 50;
  cursor: pointer;
}

.btn-next svg {
  height: 70px;
  transition: all 0.2s ease 0s;
}

.btn-next svg:hover {
  stroke: rgb(15 162 56 / 80%);
  transition: all 0.2s ease 0s;
}

.btn-back {
  position: absolute;
  left: -25px;
  bottom: 430px;
  transition: all 0.5s ease 0s;
  width: 80px;
  height: 95px;
  display: flex;
  align-items: center;
  border-radius: 100px;
  padding-right: 20px;
  justify-content: center;
  cursor: pointer;
  z-index: 50;
}

.btn-back:active,
.btn-next:active {
  transform: scale(70%);
}

.btn-back svg {
  height: 70px;
  transition: all 0.2s ease 0s;
}

.btn-back svg:hover {
  stroke: rgb(15 162 56 / 80%);
  transition: all 0.2s ease 0s;
}

.btn-link {
  box-shadow: none;
  background-image: url(../image/icon.png);
  background-repeat: no-repeat;
  background-position: 10px;
  margin-right: 30px;
}

/*Servis*/

.services-wrap {
  display: flex;
  justify-content: space-between;
}

.service {
  max-width: 336px;
  width: 100%;
  height: 481px;
  border: 1px solid RGBA(255, 255, 255, 0.3);
  backdrop-filter: blur(7.5px);
  border-radius: 40px;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 15px;
  animation-duration: 2s;
}

.service-1 {
  background: linear-gradient(
    159.57deg,
    rgba(3, 91, 28, 0.7) 0%,
    rgba(15, 17, 24, 0.5) 94.55%
  );
  margin-top: 100px;
}
.service-2 {
  background: linear-gradient(
    159.82deg,
    rgba(0, 255, 102, 0.6) 6.06%,
    rgba(217, 217, 217, 0) 102.16%
  );
}
.service-2 .buy-wrap {
  background: rgb(5 59 24 / 58%);
}
.service-3 {
  background: linear-gradient(
    332.25deg,
    rgba(36, 138, 64, 0.7) -95.12%,
    rgba(15, 17, 24, 0.5) 93.14%
  );
  margin-top: 100px;
}
.service-text {
  font-size: 20px;
  margin: 0;
  line-height: 26px;
}

.buy-wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  width: 306px;
  height: 150px;
  position: relative;
  background: rgba(46, 81, 68, 0.5);
  padding: 10px;
  backdrop-filter: blur(22.5px);
  border-radius: 30px;
}

.price-wrap {
  display: flex;
  gap: 25px;
  align-items: flex-start;
}

.price-sale {
  font-size: 20px;
  color: rgb(247 247 255 / 70%);
  position: relative;
}
.service-1 .price-sale::before {
  content: "";
  position: absolute;
  top: 50%;
  width: 100%;
  height: 1px;
  background-color: rgb(255 255 255 / 70%);
  transform: rotate(-10deg);
  display: inline-block;
}
.service-2 .price-sale::before {
  content: "";
  position: absolute;
  top: 50%;
  width: 100%;
  height: 1px;
  background-color: rgb(255 255 255 / 70%);
  transform: rotate(-10deg);
  display: inline-block;
}
.service-3 .price-sale::before {
  content: "";
  position: absolute;
  top: 50%;
  width: 100%;
  height: 1px;
  background-color: rgb(255 255 255 / 70%);
  transform: rotate(-10deg);
  display: inline-block;
}

.price {
  font-weight: 600;
  font-size: 36px;
}

.sale {
  font-weight: 500;
  background: rgb(44 248 64);
  box-shadow: inset 0px 4px 55px rgba(0, 0, 0, 0.25);
  border-radius: 40px;
  padding: 6px 12px;
}

/*Portfolio*/

.work {
  width: 100%;
  overflow: hidden;
  user-select: none;
}

.works-scroll {
  white-space: nowrap;
  transition: transform 0.3s ease;
  letter-spacing: -0.3em;
}

.work-wrapper {
  display: inline-block;
  width: 100%;
}

.gallery-block {
  display: flex;
  margin: 0 auto;
  width: 85%;
  flex-direction: column;
  align-items: flex-end;
  gap: 20px;
  flex-direction: row;
  justify-content: flex-end;
  white-space: normal;
}

.main-img {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 20px;
}

.gallery-mobile-img {
  position: relative;
  left: 230px;
  height: 600px;
}

.gallery-img {
  height: 550px;
}

.info {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  background: linear-gradient(
    98deg,
    rgba(45, 42, 58, 0.19) 4.75%,
    rgba(15, 162, 56, 0.7) 173.62%
  );
  border: 1px solid RGBA(255, 255, 255, 0.3);
  backdrop-filter: blur(20px);
  max-width: 640px;
  width: 100%;
  border-radius: 40px;
  padding: 30px;
  animation-duration: 2s;
  letter-spacing: normal;
}

.work-name {
  width: 100%;
  text-align: left;
  font-weight: 600;
  font-size: 34px;
  padding-bottom: 10px;
  border-bottom: 4px solid rgba(225, 215, 215, 0.15);
}

.work-deckription {
  text-align: left;
  line-height: 30px;
  font-size: 20px;
  margin-top: 10px;
  margin-bottom: 10px;
}

.work-btn {
  display: flex;
  padding-top: 5px;
}

/*Techonoligies*/

.technologie {
  display: grid;
  gap: 40px 40px;
  max-width: 1200px;
  width: 95%;
  justify-items: center;
  grid-template-columns: 200px 200px 200px 200px 200px;
  justify-content: center;
  margin: auto;
  padding: 20px;
  background: linear-gradient(
    181deg,
    rgb(42 58 58 / 0%) 4.75%,
    rgb(15 162 56 / 34%) 173.62%
  );
  border: 1px solid RGBA(255, 255, 255, 0.3);
  backdrop-filter: blur(20px);
  border-radius: 40px;
  animation-duration: 2s;
}

#technologies .heading-3 {
  white-space: pre;
}

.technologie-img {
  width: 100px;
}

.elm {
  box-shadow: 0px 0px 12.5px rgb(146 0 59);
  border-radius: 50px;
}
.wp {
  box-shadow: 0px 0px 12.5px rgb(33, 117, 155);
  border-radius: 50px;
}
.opc {
  box-shadow: 0px 0px 12.5px rgb(113, 189, 234);
  border-radius: 50px;
}
.mcp {
  box-shadow: 0px 0px 12.5px rgb(255, 224, 27);
  border-radius: 50px;
}
.fig {
  box-shadow: 0px 0px 12.5px rgb(44, 45, 51);
  border-radius: 50px;
}
.woo {
  box-shadow: 0px 0px 12.5px rgb(127, 84, 179);
  border-radius: 50px;
}
.html {
  box-shadow: 0px 0px 12.5px rgb(228, 77, 38);
  border-radius: 50px;
}
.js {
  box-shadow: 0px 0px 12.5px rgb(253, 205, 0);
  border-radius: 50px;
}
.css {
  box-shadow: 0px 0px 12.5px rgb(55, 154, 214);
  border-radius: 50px;
}
.php {
  box-shadow: 0px 0px 12.5px rgb(79, 91, 147);
  border-radius: 50px;
}

/*Feedback*/

.field {
  color: rgba(255, 255, 255);
  background: transparent;
  border: none;
  border-bottom: 1px solid #fff;
  padding-bottom: 10px;
  outline: none;
  font: inherit;
  font-size: 18px;
}

.field-text {
  font-size: 20px;
  color: rgba(255, 255, 255, 0.55);
  transition: all 0.3s ease;
  margin-bottom: -20px;
}

.feedback-input .field:focus + span,
.feedback-input .field:not(:placeholder-shown) + span {
  transform: translate(0, -30px);
  font-size: 15px;
  transition: all 0.3s ease;
}

.field-message {
  font-size: 20px;
  color: rgba(255, 255, 255);
  box-sizing: border-box;
  max-width: 889px;
  width: 100%;
  height: 300px;
  padding: 30px;
  outline: none;
  resize: vertical;
  background: linear-gradient(
    77.27deg,
    rgba(29, 80, 180, 0.19) 2.65%,
    rgba(12, 189, 93, 0.06) 100%
  );
  border: 1px solid RGBA(255, 255, 255, 0.3);
  backdrop-filter: blur(20px);
  border-radius: 40px;
}

.feedback-input {
  display: flex;
  padding-bottom: 50px;
  max-width: 880px;
  width: 100%;
  justify-content: space-between;
  margin: auto;
}

.feedback-input input {
  width: 240px;
}

.feedback-input p {
  display: flex;
  flex-direction: column-reverse;
  align-items: flex-start;
}

.feedback-message {
  margin: auto;
}

.feedback-text {
  display: block;
  max-width: 630px;
  width: 100%;
  font-size: 24px;
  margin: auto;
}

#feedback-form {
  margin-top: 50px;
  animation-duration: 2s;
}

#feedback-form .btn {
  display: block;
  width: 150px;
  margin: auto;
}

#feedback .answer {
  display: none;
  margin: 40px 0;
  transition: opacity 1s ease, transform 0.7s ease;
}

.answer.show {
  opacity: 1;
  transform: translate(0, 0);
}

#feedback .hide {
  opacity: 0;
  transform: translate(0, 30px);
  max-height: 0px;
}

.notice {
  padding: 20px;
}

.err-msg {
  display: none;
  margin-bottom: 40px;
  font-size: 17px;
  font-weight: 600;
  color: #ff5050;
  background-size: 20px auto;
}

.field.not-valid {
  border-bottom: 2px solid #ff5050;
}

.field-message.not-valid {
  border: 2px solid #ff5050;
}

.feedback-input .field.not-valid + span {
  color: #ff5050;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus {
  -webkit-text-fill-color: white;
  transition: background-color 5000s ease-in-out 0s;
  background: transparent;
}

/*footer*/

.cols {
  display: table;
  width: 100%;
  text-align: left;
}

.col {
  display: table-cell;
  vertical-align: top;
}

.col ul {
  padding: 0;
  list-style-type: none;
  line-height: 2;
  color: rgba(255, 255, 255, 0.55);
}

.col ul a {
  color: rgba(255, 255, 255, 0.55);
}

.col ul a:hover {
  color: rgba(255, 255, 255);
}

.col-logo {
  width: 35%;
}
.col-logo .text {
  color: rgba(255, 255, 255, 0.55);
  line-height: 2;
  max-width: 400px;
  margin-top: 14px;
}

.col-menu {
  width: 18%;
}

.col-bank {
  width: 35%;
}

.copyright {
  margin-top: 80px;
}

footer .wrapper {
  padding: 0 0 30px 0;
}

#root {
  width: 100%;
  min-width: 320px;
}

@media (max-width: 1200px) {
  body {
    background-size: auto;
  }

  section {
    padding: 0 25px;
  }

  section .wrapper {
    padding: 50px 0;
  }

  #portfolio .wrapper {
    max-width: 960px;
  }

  .logo {
    font-size: 20px;
  }

  .navigation {
    margin: 0;
    padding: 0 20px;
    max-width: 998px;
  }

  .navigation-link {
    padding: 0 15px;
  }

  .heading-2 {
    font-size: 38px;
    margin-bottom: 50px;
  }

  .heading-3 {
    font-size: 40px;
  }

  .btn {
    font-size: 20px;
    padding: 10px 24px;
  }

  #banner-background {
    background-size: auto;
  }
  .banner {
    padding: 160px 0 190px;
  }
  .banner-text-wrap {
    max-width: 700px;
  }

  #about .banner-text-wrap {
    max-width: 900px;
  }

  .buy-wrap {
    width: 245px;
    height: 120px;
  }

  .price-wrap {
    gap: 15px;
  }

  .price-sale {
    font-size: 16px;
  }

  .price {
    font-size: 26px;
  }

  .banner-wrap {
    padding: 0px 50px;
  }

  .banner-text {
    font-size: 20px;
    line-height: 25px;
    padding: 20px 15px 0 15px;
  }

  .services-wrap {
    gap: 30px;
  }
  .service {
    height: 440px;
    width: 270px;
  }

  .btn-back {
    left: -10px;
    bottom: 335px;
  }

  .btn-back svg {
    height: 50px;
  }

  .btn-next {
    right: -10px;
    bottom: 335px;
  }

  .btn-next svg {
    height: 50px;
  }

  .buttons {
    padding: 25px 0 20px 0;
  }

  .gallery-block {
    width: 79%;
  }

  .gallery-img {
    height: 370px;
  }

  .technologie {
    box-sizing: border-box;
    max-width: 899px;
    grid-template-columns: 150px 150px 150px 150px 150px;
  }

  .info {
    max-width: 460px;
    padding: 20px;
  }

  .work-name {
    font-size: 26px;
  }

  .work-deckription {
    font-size: 16px;
  }
  .gallery-mobile-img {
    left: 120px;
    height: 390px;
  }

  .technologie-img {
    width: 80px;
  }

  .btn-link {
    background-position: 12px;
    background-size: 25px;
  }

  .feedback-text {
    font-size: 26px;
  }

  .col {
    padding: 0 25px;
  }
}

@media (max-width: 998px) {
  header .mobile-menu {
    display: inline-block;
  }
  .banner {
    padding: 150px 0 50px;
  }
  #mobile-menu .wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .navigation .languages,
  .navigation .navigation-menu {
    display: none;
  }

  .navigation-menu .navigation-list {
    display: flex;
    list-style-type: none;
    justify-content: center;
    flex-direction: column;
  }

  .navigation-menu .navigation-item {
    border-bottom: 1px solid #fff;
    border-right: 0;
    padding: 10px;
  }

  .navigation-menu .navigation-item:last-child {
    border: none;
  }

  #portfolio .heading-3 {
    margin-bottom: 10px;
  }
  .navigation-link {
    font-size: 20px;
  }

  .navigation-list {
    padding: 0;
  }

  .languages .navigation-list {
    justify-content: center;
  }

  #banner-background {
    background-size: cover;
  }

  .banner-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .heading-2 {
    font-size: 36px;
  }

  .banner-text-wrap {
    padding: 15px;
  }

  .buttons {
    gap: 30px;
    justify-content: center;
  }

  .services-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px;
  }
  .service {
    max-width: 540px;
    padding: 20px;
    width: 100%;
    height: 340px;
  }
  .service-1 {
    margin-top: 0;
  }
  .service-2 {
    margin-top: 0;
  }
  .service-3 {
    margin-top: 0;
  }

  .service .heading-4 {
    font-size: 28px;
    margin: 20px 0;
  }

  .buy-wrap {
    width: 295px;
    height: 155px;
  }

  .service-text {
    font-size: 18px;
    line-height: 30px;
  }
  section .wrapper {
    padding: 75px 0 0;
    margin-bottom: -30px;
  }
  #portfolio .wrapper {
    max-width: 745px;
  }
  .gallery-block {
    width: 90%;
  }
  .gallery-img {
    height: 335px;
  }

  .info {
    width: 405px;
    padding: 20px;
  }
  .gallery-mobile-img {
    left: 120px;
    height: 360px;
  }
  .btn {
    font-size: 18px;
    padding: 10px 25px;
  }

  .btn-link {
    background-position: 12px;
    background-size: 24px;
  }

  .btn .btn-link {
    padding: 10px 23px;
  }

  .btn-back svg {
    height: 40px;
  }
  .btn-next svg {
    height: 40px;
  }
  .btn-next {
    bottom: 330px;
    width: 50px;
    height: 60px;
    right: -20px;
    bottom: 335px;
  }
  .btn-back {
    bottom: 330px;
    width: 50px;
    height: 60px;
    left: -20px;
    bottom: 335px;
  }

  .technologie {
    width: auto;
    grid-template-columns: 95px 95px 95px 95px 95px;
  }
  .technologie-img {
    width: 65px;
  }
  .title-feedback {
    margin-bottom: 20px;
  }
  .field-message,
  .feedback-input {
    max-width: 680px;
  }
  .feedback-text {
    font-size: 20px;
  }
  .col-logo .text {
    margin-top: 17px;
  }
  footer .logo {
    margin-top: 4px;
  }
  .feedback-input input {
    width: 170px;
  }
  #feedback .wrapper {
    padding-bottom: 50px;
  }
}
@media (max-width: 800px) {
  .heading-2 {
    font-size: 32px;
  }
  .heading-3 {
    font-size: 30px;
  }

  .copyright {
    margin-top: 30px;
  }
  #about .wrapper {
    padding: 75px 0 0;
    margin-bottom: -40px;
  }
  footer .logo {
    margin-top: 30px;
  }

  #about .heading-3 {
    margin-top: 0;
  }
  #portfolio .heading-3 {
    margin-bottom: 30px;
  }
  .banner-text {
    font-size: 18px;
  }
  .feedback-text {
    font-size: 18px;
  }
  .banner {
    padding: 130px 0 40px;
  }
  #banner-background {
    background-size: cover;
    height: 100%;
  }
  section {
    padding: 0px 40px;
  }

  .banner-wrap {
    padding: 0px 40px;
  }
  section .wrapper {
    padding: 75px 0 0;
    margin-bottom: -40px;
  }

  .buy-wrap {
    width: 270px;
  }

  .price-wrap {
    gap: 20px;
  }

  .service {
    box-sizing: border-box;
    max-width: 85%;
    height: 100%;
  }

  #portfolio .wrapper {
    margin-bottom: -40px;
  }

  .gallery-block {
    width: 100%;
  }

  .gallery-mobile-img {
    display: none;
  }

  .gallery-img {
    height: 100%;
    width: 100%;
  }
  .main-img {
    align-items: center;
  }

  .info {
    box-sizing: border-box;
    max-width: 100%;
    width: 100%;
    border-radius: 30px;
  }

  .work-name {
    font-size: 22px;
  }

  .btn-back,
  .btn-next {
    bottom: 58%;
  }

  .btn-back {
    left: -80px;
  }

  .btn-next {
    right: -80px;
  }

  .btn-next svg {
    height: 30px;
  }

  .btn-back svg {
    height: 30px;
  }

  #about .banner-text-wrap {
    box-sizing: border-box;
    width: 100%;
  }

  .work-deckription {
    line-height: 26px;
  }

  .technologie-img {
    width: 50%;
  }
  .technologie {
    max-width: 100%;
    width: 100%;
    box-sizing: border-box;
    grid-template-columns: 25% 25% 25%;
  }

  .cols {
    display: flex;
    flex-direction: column;
    gap: 30px;
    align-items: center;
    text-align: center;
  }

  .col-logo {
    width: 50%;
  }

  .col-menu {
    width: 60%;
  }

  .col-bank {
    width: 80%;
  }

  .feedback-input input {
    width: 100%;
  }
  .feedback-input {
    max-width: 90%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
  }
  .field-message {
    box-sizing: border-box;
    max-width: 100%;
  }
}

@media (max-width: 480px) {
  .banner {
    padding: 85px 0 40px;
  }
  .feedback-text {
    font-size: 16px;
  }
  .banner-wrap {
    padding: 0px 20px;
  }
  .banner-text-wrap {
    padding: 18px;
  }
  section {
    padding: 0px 20px;
  }
  section .wrapper {
    padding: 85px 0 0;
    margin-bottom: -40px;
  }

  #about .wrapper {
    padding: 75px 0 0;
    margin-bottom: -40px;
  }

  footer .logo {
    margin-top: 40px;
  }
  #banner-background {
    background-size: 100% auto;
  }

  .languages .navigation-list {
    margin-top: 75px;
  }

  .heading-2 {
    font-size: 26px;
    margin-bottom: 25px;
    line-height: 32px;
  }

  .heading-3 {
    font-size: 24px;
  }

  .btn {
    font-size: 12px;
    padding: 10px 16px;
  }

  .btn-link {
    background-position: 8px;
    background-size: 20px;
    padding: 18px 18px;
    margin-right: 10px;
  }

  .buttons {
    gap: 15px;
    flex-direction: column;
  }

  #services .wrapper {
    padding: 40px 0 0;
  }

  .service {
    box-sizing: border-box;
    max-width: 100%;
    height: 310px;
    padding: 15px;
  }
  .services-wrap {
    gap: 25px;
  }
  .buy-wrap {
    width: 230px;
    height: 80px;
  }

  .price-wrap {
    gap: 15px;
  }

  .price-sale {
    font-size: 15px;
  }

  .sale {
    font-size: 14px;
  }

  .price {
    font-size: 20px;
  }

  .service .heading-4 {
    font-size: 20px;
    margin: 10px 0;
  }
  #portfolio .wrapper {
    max-width: 100%;
  }
  .service-text {
    max-width: 300px;
    font-size: 14px;
    line-height: 22px;
  }

  #about .banner-text {
    padding: 0;
    margin: 10px 0;
  }

  #about .banner-text-wrap {
    width: 100%;
  }

  .banner-text {
    font-size: 16px;
    line-height: 25px;
    padding: 0;
  }
  #technologies .heading-3 {
    font-size: 22px;
  }

  .technologie-img {
    width: 90%;
  }
  .technologie {
    box-sizing: border-box;
    max-width: 100%;
    grid-template-columns: 20% 20% 20%;
  }

  .feedback-input input {
    width: 100%;
  }

  .field-message {
    box-sizing: border-box;
    max-width: 100%;
    padding: 20px;
    font-size: 18px;
  }

  .field-text {
    font-size: 16px;
  }

  .feedback-input .field:focus + span,
  .feedback-input .field:not(:placeholder-shown) + span {
    margin-top: 20px;
  }

  .gallery-block {
    white-space: pre-wrap;
  }

  .gallery-img {
    height: 90%;
    width: 90%;
  }

  .btn-back,
  .btn-next {
    bottom: 40%;
  }

  .btn-back {
    left: -25px;
  }

  .btn-next {
    right: -25px;
  }

  .work-btn {
    align-items: center;
  }

  .work-btn .btn {
    font-size: 12px;
  }

  .work-deckription {
    display: none;
  }

  .work-name {
    font-size: 16px;
    text-align: center;
  }

  .info {
    align-items: center;
    width: 90%;
    padding: 10px;
    border-radius: 20px;
  }

  .gallery-mobile-img {
    display: none;
  }

  .main-img {
    align-items: center;
  }
}
